#
# Conditional build:
%bcond_without	opt		# build opt

%define		module	easy-format
Summary:	easy(ier) pretty printing for OCaml
Name:		ocaml-%{module}
Version:	1.0.2
Release:	2
License:	BSD
Group:		Libraries
Source0:	http://mjambon.com/releases/easy-format/%{module}-%{version}.tar.gz
# Source0-md5:	82f6db85477831cab11e4cfe80321225
URL:		http://mjambon.com/easy-format.html
BuildRequires:	ocaml >= 3.04-7
%requires_eq	ocaml-runtime
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		debug_package	%{nil}

%description
This module offers a simplified interface to the Format module of the
OCaml standard library. Input data must be converted into a tree using
3 kinds of nodes: atoms, lists and labelled nodes. Each node is bound
to its own formatting parameters and a single function call produces
the formatted output.

%description -l pl.UTF-8
Pakiet ten zawiera binaria potrzebne do uruchamiania programów
używających tej biblioteki.

%package devel
Summary:	easy-format binding for OCaml - development part
Summary(pl.UTF-8):	Wiązania easy-format dla OCamla - cześć programistyczna
Group:		Development/Libraries
%requires_eq	ocaml
Requires:	%{name} = %{version}-%{release}

%description devel
This package contains files needed to develop OCaml programs using
this library.

%description devel -l pl.UTF-8
Pakiet ten zawiera pliki niezbędne do tworzenia programów używających
tej biblioteki.

%prep
%setup -q -n %{module}-%{version}

%build
%{__make} -j1 all %{?with_opt:opt} \
	CC="%{__cc} %{rpmcflags} -fPIC"

%install
rm -rf $RPM_BUILD_ROOT
export OCAMLFIND_DESTDIR=$RPM_BUILD_ROOT%{_libdir}/ocaml
install -d $OCAMLFIND_DESTDIR $OCAMLFIND_DESTDIR/stublibs
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# move to dir pld ocamlfind looks
install -d $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/%{module}
mv $OCAMLFIND_DESTDIR/%{module}/META \
	$RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/%{module}
cat <<EOF >> $RPM_BUILD_ROOT%{_libdir}/ocaml/site-lib/%{module}/META
directory="+%{module}"
EOF

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%dir %{_libdir}/ocaml/%{module}
%{_libdir}/ocaml/%{module}/*.cmxs
%{_libdir}/ocaml/site-lib/%{module}

%files devel
%defattr(644,root,root,755)
%doc README.md Changes LICENSE
%{_libdir}/ocaml/%{module}/*.cm[xi]
%{_libdir}/ocaml/%{module}/*.cmo
%{_libdir}/ocaml/%{module}/*.mli
%if %{with opt}
%{_libdir}/ocaml/%{module}/*.o
%endif
%changelog
* Sun Nov 16 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/ocaml-easy-format.git;a=log;h=auto/th/ocaml-easy-format-1.0.2-2

* Sun Nov 16 2014 Jan Rękorajski <baggins@pld-linux.org> ec38c17
- rebuild with ocaml 4.02
- release 2 (by relup.sh)

* Mon Feb 17 2014 Jan Rękorajski <baggins@pld-linux.org> be589c5
- added internal deps

* Mon Feb 17 2014 Jan Rękorajski <baggins@pld-linux.org> a91c78d
- added main package with native plugins for dynamic loading

* Mon Feb 17 2014 Jan Rękorajski <baggins@pld-linux.org> ec6eb5d
- fixed doc files

* Mon Feb 17 2014 Jan Rękorajski <baggins@pld-linux.org> 99a0fa7
- up to 1.0.2

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 1bf44b7
- no duplicate version

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 9b7f665
- use make install

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> 5e0d082
- verbose files

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> dcf67d8
- bugfixes

* Sun Nov 24 2013 Elan Ruusamäe <glen@delfi.ee> ed556a1
- use macros

* Sat Nov 23 2013 Elan Ruusamäe <glen@delfi.ee> 4d73a89
- new, version 1.0.1

